"""Implementation of XBAcompartment class.

Peter Schubert, HHU Duesseldorf, May 2022
"""


class XbaCompartment:

    def __init__(self, s_compartment):
        self.id = s_compartment.name
        self.name = s_compartment.get('name', self.id)
        if 'size' in s_compartment:
            self.size = s_compartment['size']
        if 'units' in s_compartment:
            self.units = s_compartment['units']
        if 'spatialDimension' in s_compartment:
            self.dimension = s_compartment['spatialDimension']